sn0wbreeze 2.8b1 for iOS 5.0b1 now available

Jailbreaker iH8tsn0w has announced the availability of sn0wbreeze 2.8b1 which will jailbreak iOS 5 beta 1 for the following devices:

  • iPhone 4 (AT&T/GSM)
  • iPhone 4 (Verizon)
  • iPhone 3GS
  • iPod Touch 4
  • iPod Touch 3
  • iPad 1

iPad 2, of course, is not yet supported. Also important to note, this is a tethered Jailbreak and is for developers only, it will not hacktivate or otherwise circumvent UDID checks. So if you haven't given Apple your $99, you need not apply.

If you are a developer interested in Jailbreaking to, for example, experiment with making your own widget, and you decide to give sn0wbreeze a try, let us know how it works for you.

[@iH8sn0w, hat tip to iJailbreak]